### Function

# Dex ThreadFunc

since: 1.0

#### Declaration

    DexFuture*
    (* DexThreadFunc) (
      gpointer user_data
    )

#### Description [src]

A function which will be run on a dedicated thread.

It must return a `DexFuture` that will eventually resolve to a value or reject with error.

Available since: 1.0

#### Parameters

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `DexFuture`

A `DexFuture`.

The caller of the function takes ownership of the data, and is responsible for freeing it.